## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005
##
## JReligionDecay by Jeckel.
##

from CvPythonExtensions import *

import Popup as PyPopup
import CvUtil
#import CvEventManager
#import sys

import CvConfigParser
import CvPath

import CvJNavalEnhancementsGameUtils


# globals
gc = CyGlobalContext()

ne = CvJNavalEnhancementsGameUtils.JNavalEnhancements()


############################################################################


# This option will turn the mod on or off.
# True - This will activate the JNavalEnhancements Mod.
# False - This will deactivate the JNavalEnhancements Mod.
# Default = True
g_bJNavalEnhancementsFeaturesEnabled = True


############################################################################



def loadConfigurationData():
	global g_bJNavalEnhancementsFeaturesEnabled

        # Load the JNavalEnhancements Mod Config INI file containing all of the configuration information
	config = CvConfigParser.CvConfigParser("JNavalEnhancements Mod Config.ini")
		
	# If the JNavalEnhancements Mod's config.ini file was found then load its values
	if(config != None):
                g_bJNavalEnhancementsFeaturesEnabled = config.getboolean("JNavalEnhancements Mod", "JNavalEnhancements Features Enabled", True)




class CvJNavalEnhancementsEventManager:
	def __init__(self, eventManager):
                # initialize base class

                eventManager.addEventHandler("unitCreated", self.onUnitCreated)
                eventManager.addEventHandler("unitLost", self.onUnitLost)
                eventManager.addEventHandler("EndGameTurn", self.onEndGameTurn)
                eventManager.addEventHandler("unitMove", self.onUnitMove)

        def onUnitMove(self, argsList):
		'unit move'
		pPlot, pUnit = argsList

		loadConfigurationData()

		if (g_bJNavalEnhancementsFeaturesEnabled):
                        ne.onUnitMove(argsList)


        def onEndGameTurn(self, argsList):
		'Called at the end of the end of each turn'
		iGameTurn = argsList[0]

		loadConfigurationData()

		if (g_bJNavalEnhancementsFeaturesEnabled):
                        ne.onEndGameTurn(argsList)


	def onUnitCreated(self, argsList):
		'Unit Completed'
		pUnit = argsList[0]

		loadConfigurationData()

		if (g_bJNavalEnhancementsFeaturesEnabled):
                        ne.onUnitCreated(argsList)


	def onUnitLost(self, argsList):
		'Unit Lost'
		pUnit = argsList[0]

		loadConfigurationData()

		if (g_bJNavalEnhancementsFeaturesEnabled):
                        ne.onUnitLost(argsList)



